Loading...
Searching...
No Matches
Gudhi::tangential_complex::Tangential_complex< Kernel_, DimensionTag, Concurrency_tag, Triangulation_ >::Num_inconsistencies Struct Reference

Type returned by Tangential_complex::number_of_inconsistent_simplices. More...

`#include <include/gudhi/Tangential_complex.h>`

## Public Attributes

std::size_t | num_simplices = 0
| Total number of simplices in stars (including duplicates that appear in several stars).
std::size_t | num_inconsistent_simplices = 0
| Number of inconsistent simplices.
std::size_t | num_inconsistent_stars = 0
| Number of stars containing at least one inconsistent simplex.

## Detailed Description

template<typename Kernel_, typename DimensionTag, typename Concurrency_tag = CGAL::Parallel_tag, typename Triangulation_ = CGAL::Default>
struct Gudhi::tangential_complex::Tangential_complex< Kernel_, DimensionTag, Concurrency_tag, Triangulation_ >::Num_inconsistencies

Type returned by Tangential_complex::number_of_inconsistent_simplices.

The documentation for this struct was generated from the following file:

- include/gudhi/Tangential_complex.h